#
# spec file for package epplet-base (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gpp gtk gtk-devel imlib imlib-devel jpeg libgpp libjpeg libpng libtiff libungif libz tiff xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel jpeg kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils tiff timezone unzip util-linux vim xdevel xf86 xshared

Name:         epplet-base
Copyright:    GPL
Group:        X11/Applications
Autoreqprov:  on
Summary:      epplet-base - Epplets are programs designed to work with the E.
Version:      0.5
Release:      163
Source:       ftp://ftp.enlightenment.org/enlightenment/epplets/epplet-base-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/epplet-base-root

%description
Epplets are programs designed to work with the Enlightenment Window Manager
Versions 0.16 and above.  Generally they are quite small and provide a
quick way for a user to perform simple tasks, or view information.

Authors:
--------
    Geoff Harrison <mandrake@mandrake.net>
    Tom Gilbert <tom@tomgilbert.freeserve.co.uk>
    Michael Lea <mikelea@charm.net>
    Roberto Machorro <rmach@bigfoot.com>

SuSE series: han

%prep
%setup -q -n Epplets-0.5

%build
%{?suse_update_config:%{suse_update_config -f . }}
autoreconf
CFLAGS="$CFLAGS $RPM_OPT_FLAGS" \
	    ./configure \
		    --prefix=%{_prefix}/X11R6 \
		    --enable-fsstd

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_prefix}/X11R6/bin/E-Areas.epplet
%{_prefix}/X11R6/bin/E-Biff.epplet
%{_prefix}/X11R6/bin/E-Clock.epplet
%{_prefix}/X11R6/bin/E-Cpu.epplet
%{_prefix}/X11R6/bin/E-Disk.epplet
%{_prefix}/X11R6/bin/E-Exec.epplet
%{_prefix}/X11R6/bin/E-Load.epplet
%{_prefix}/X11R6/bin/E-Magic.epplet
%{_prefix}/X11R6/bin/E-MemWatch.epplet
%{_prefix}/X11R6/bin/E-Mixer.epplet
%{_prefix}/X11R6/bin/E-MoonClock.epplet
%{_prefix}/X11R6/bin/E-Mountbox.epplet
%{_prefix}/X11R6/bin/E-Net.epplet
%{_prefix}/X11R6/bin/E-NetFlame.epplet
%{_prefix}/X11R6/bin/E-NetGraph.epplet
%{_prefix}/X11R6/bin/E-Power.epplet
%{_prefix}/X11R6/bin/E-SD.epplet
%{_prefix}/X11R6/bin/E-ScreenSave.epplet
%{_prefix}/X11R6/bin/E-ScreenShoot.epplet
%{_prefix}/X11R6/bin/E-Slides.epplet
%{_prefix}/X11R6/bin/E-Sys.epplet
%{_prefix}/X11R6/bin/E-Time.epplet
%{_prefix}/X11R6/bin/E-UrlWatch.epplet
%{_prefix}/X11R6/bin/E-Xss.epplet
%{_prefix}/X11R6/bin/Emix.epplet
%{_prefix}/X11R6/include/epplet.h
%{_prefix}/X11R6/lib/libepplet.a
%{_prefix}/X11R6/lib/libepplet.la
%{_prefix}/X11R6/lib/libepplet.so
%{_prefix}/X11R6/lib/libepplet.so.0
%{_prefix}/X11R6/lib/libepplet.so.0.1.0
%{_prefix}/X11R6/share/enlightenment/epplet_icons/*
%{_prefix}/X11R6/share/enlightenment/epplet_data/*

%changelog -n epplet-base
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Feb 01 2001 - violiet@suse.de
- added SuSE series: xap
* Sat Jan 27 2001 - violiet@suse.de
- NEW epplet-base package version to 0.5
